Page MenuHomeFreeBSD

Remove compatibility knobs from python Uses
ClosedPublic

Authored by koobs on Jan 3 2015, 9:17 AM.

Details

Reviewers
koobs
Group Reviewers
Python
Summary

Remove compatibility knobs from python.mk and bsd.port.mk, since the
tree should be clean now.

Test Plan

exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mva updated this revision to Diff 2967.Jan 3 2015, 9:17 AM
mva retitled this revision from to Remove compatibility knobs from python Uses.
mva updated this object.
mva edited the test plan for this revision. (Show Details)
mva added reviewers: Python, portmgr.
antoine added a subscriber: antoine.Jan 3 2015, 9:28 AM

Those 2 ports are not converted yet:

graphics/graphviz/Makefile:PYTHON_USE= PYTHON_BUILD=2.7
security/openconnect/Makefile:USE_PYTHON_BUILD= yes

Mk/Uses/python.mk
198

This comment can go?

More ports not converted:

audio/streamtuner/Makefile:PYTHON_USE= python=yes gnome=pygtk2
biology/libsbml/Makefile:PYTHON_USE= python=yes
databases/cassandra2/Makefile:CQL_USE= python=yes
databases/postgresql84-plpython/Makefile:WANT_PYTHON_USE= python:2
databases/postgresql90-plpython/Makefile:WANT_PYTHON_USE?= python
deskutils/recoll/Makefile:PYTHON_USE= python=yes
devel/streamhtmlparser/Makefile:PYBINDINGS_USE= python=yes
devel/hachoir-core/Makefile:USE= python
security/broccoli/Makefile:PYTHON_USE= python=yes

mva added a comment.Jan 3 2015, 11:48 AM
In D1416#5, @antoine wrote:

More ports not converted:

...

databases/postgresql84-plpython/Makefile:WANT_PYTHON_USE= python:2
databases/postgresql90-plpython/Makefile:WANT_PYTHON_USE?= python

Those are correct:

databases/postgresql90-plpython/Makefile:USES+= pgsql:${WANT_PGSQL_VER} ${WANT_PYTHON_USE}

I'll take care of the others. Thanks for finding those.

Mk/Uses/python.mk
198

No. We still have some deprecated ones.

Those 2 ports prevented the exp-run from starting:

[00:03:48] ====>> Error: Duplicated origin for miniupnpc-1.9: net/py-miniupnpc AND net/miniupnpc. Rerun with -vv to see which ports are depending on these.
[00:03:57] ====>> Error: Duplicated origin for libtorrent-rasterbar-0.16.17_1: net-p2p/libtorrent-rasterbar AND net-p2p/libtorrent-rasterbar-python. Rerun with -vv to see which ports are depending on these.

It looks like USES is overridden in master port

mva accepted this revision.Jan 7 2015, 5:24 PM
mva added a reviewer: mva.

Committed, thanks!

koobs commandeered this revision.Jan 13 2015, 11:18 AM
koobs accepted this revision.
koobs accepted this revision.
koobs edited edge metadata.
koobs added a reviewer: koobs.
koobs removed reviewers: koobs, portmgr.
koobs removed a reviewer: mva.
koobs added a reviewer: koobs.
koobs added a subscriber: mva.
This revision is now accepted and ready to land.Jan 13 2015, 11:20 AM